Update items

šŸ” This endpoint requires HTTP authentication (either Basic or Bearer). For authenticating with Bearer token, required scopes are: catalog(w), search_suggestions(w).

Update existing item data. Data included in the request will be merged with data of the existing items. Returns an identifier for a background task.

Query Params
string
required
length between 1 and 100

The key of the index to use.

string
length between 1 and 100

The section of the index to use. Defaults to Products.

string
length between 1 and 100

The ID of the client and version that the request is coming from, such as cio-js-2.90.

boolean

A flag to process the catalog even if it will invalidate a large part of existing data. Defaults to False.

notification_email
array of strings

The email address(es) to send a notification to if the task fails. Multiple addresses may be specified for multiple recipients.

Notification Email
enum
Defaults to FAIL

The strategy used to handle items that exist in the file and do not exist in the index. IGNORE silently ignores them and does not add them to the index, CREATE creates them, FAIL fails the ingestion. Can be set only when patch_delta is true. Default is FAIL.

Allowed:
Body Params
items
array of objects
required
length between 1 and 10000

Array of items you want to update.

Items*
Responses

400

Validation Error

401

Credentials are not passed or action is forbidden.

403

The supplied token does not have the required permissions.

409

Conflict

429

Rate limit breached

Language
Credentials
:
LoadingLoading…
Response
Choose an example:
application/json